import LayoutMain from '@/framework/layout/Main'
import MsgAllDetails from "@/framework/components/messagesever/msgAllDetails"

import Login from '@/framework/layout/Login'
import Dasboard from '@/views/dasboard'

import UserList from '@/views/system/user/UserList'
import RoleList from '@/views/system/role/RoleList'
import ChangePwd from '@/views/system/pwd/ChangePwd'

/**项目管理 */
import projectAdm from '@/views/platfrom/project'
import userAdm from '@/views/platfrom/user'
import roleAdm from '@/views/platfrom/role'

/**前期准备 */
import buildFloor from '@/views/ready/buildfloor'
import collectsetting from '@/views/ready/collectsetting'
import buildUser from '@/views/ready/appuser'
import repetitionGraphy from '@/views/ready/buildfloor/repetitionGraphy'

/**模型管理 */
import modelFile from '@/views/model/file'
import modelReport from '@/views/model/report'
import deleted from '@/views/model/report/deleted'
import supplement from '@/views/model/report/supplement'

/**系统集成 */
import pointConfig from '@/views/point/config_point'
import editDataSouce from '@/views/point/config_point/edit_origin'
import pointSteps from '@/views/point/config_point/steps'
import objectData from '@/views/point/objectData'
import integrateReport from '@/views/point/report'
import dynamicdata from '@/views/point/dynamicdata'
import equipRela from '@/views/point/dynamicdata/addRelation/equipRela'
import partsRela from '@/views/point/dynamicdata/addRelation/partsRela'
import systemRela from '@/views/point/dynamicdata/addRelation/systemRela'
import spaceRela from '@/views/point/dynamicdata/addRelation/spaceRela'
import buildRela from '@/views/point/dynamicdata/addRelation/buildRela'
import floorRela from '@/views/point/dynamicdata/addRelation/floorRela'
import tenantRela from '@/views/point/dynamicdata/addRelation/tenantRela'
import projectRela from '@/views/point/dynamicdata/addRelation/projectRela'

/** 扫楼作业 */
import buildTask from '@/views/data_admin/buildTask'
import addDeviceTask from '@/views/data_admin/buildTask/addTask/addDeviceTask'
import addAssetsTask from '@/views/data_admin/buildTask/addTask/addAssetsTask'
import addModelTask from '@/views/data_admin/buildTask/addTask/addModelTask'
import buildAssets from '@/views/data_admin/buildAssets'
import buildLog from '@/views/data_admin/buildLog'
import buildData from '@/views/data_admin/buildData'
import buildGraphy from '@/views/data_admin/buildGraphy'
import updatePointZone from '@/views/data_admin/buildGraphy/updatePointZone'
import createPointZone from '@/views/data_admin/buildGraphy/createPointZone'

/**  台账管理 */
import systemLedger from '@/views/ledger/system'
import systemadd from '@/views/ledger/system/addsystem'
import systemDetail from '@/views/ledger/system/systemDetail'
import facilityLedger from '@/views/ledger/facility'
import partsLedger from '@/views/ledger/facility/parts'
import partsmanageLedger from '@/views/ledger/facility/partsmanage'
import partsadd from '@/views/ledger/facility/partsmanage/addparts'
import deviceadd from '@/views/ledger/facility/addfacility'
import propertyadd from '@/views/ledger/property/addproperty'
import propertyLedger from '@/views/ledger/property'
import spacelist from '@/views/ledger/spacelist' //业务空间台账
import addPropertys from '@/views/ledger/property/addpropertys' //根据未关联资产的设备或部件批量创建设备
import batchlinkAssets from '@/views/ledger/facility/batchlink' //批量关联资产
import cenotelist from '@/views/ledger/cenotelist' //竖井清单
import cenoteadd from '@/views/ledger/cenotelist/cenoteadd' //添加竖井
import cenoteDetail from '@/views/ledger/cenotelist/cenoteDetail' //竖井关系详情
import rentlist from '@/views/ledger/rentlist' //租户清单
import manageTenantZone from '@/views/ledger/rentlist/manageTenantZone' //租户清单
import rentadd from '@/views/ledger/rentlist/rentadd' //租户清单
import dataReport from '@/views/ledger/report'
import auth from '@/views/system/auth'
import noUser from '@/views/system/nouser'
import spaceDetail from '@/views/ledger/spacelist/spaceDetail'
import relatedSpace from '@/views/ledger/cenotelist/relatedSpace'

/**  关系维护并计算 */
import maintain from '@/views/relation/maintain'
import overView from '@/views/relation/overview'
import relationShip from '@/views/relation/relationShip'
import relationDetail from '@/views/relation/overview/detail'
import data from '@/views/relation/data'
import datatable from '@/views/relation/datatable'

/**  厂家库 */
import supplier from '@/views/manufactor/supplier'

/**  辅助屏 */
import splitScreen from '@/views/screen/splitScreen'
import spaceLedger from '@/views/screen/splitScreen/spaceledger'
import equipLedger from '@/views/screen/splitScreen/equipledger'
import integrateResults from '@/views/screen/splitScreen/integrateresults'

/**  业务空间数据导入工具 */
import dataUtil from '@/views/business_space/dataUtil/index'
import dataUtil2 from '@/views/business_space/dataUtil/index2'
import checkJsonUtil from '@/views/business_space/dataUtil/checkJsonUtil'

/**市场及商务 */
const OwnerManage = () =>
    import ('@/views/market/owner/manage')

export default [{
        path: '/',
        name: '',
        component: LayoutMain,
        children: [
            { path: '', name: 'blank', component: Dasboard },
            { path: 'allDetails', name: "allDetails", component: MsgAllDetails, meta: { keepAlive: false, breadcrumbs: [{ label: '消息中心' }] } }
        ]
    },
    //{ path: '/login', name: 'Login', component: Login },
    { path: '/auth', name: 'auth', component: auth },
    { path: '/noUser', name: 'noUser', component: noUser },
    // 业务空间数据导入工具
    {
        path: '/dataUtil',
        name: 'dataUtil',
        component: LayoutMain,
        children: [
            { path: 'index', component: dataUtil },
            { path: 'index2', component: dataUtil2 },
            { path: 'checkJsonUtil', component: checkJsonUtil }
        ]
    },
    // 辅助屏
    {
        path: '/splitScreen',
        name: 'splitScreen',
        component: splitScreen,
        children: [
            { path: 'spaceledger', name: 'spaceLedger', component: spaceLedger },
            { path: 'equipledger', name: 'equipLedger', component: equipLedger },
            { path: 'integrateresults', name: 'integrateResults', component: integrateResults }
        ]
    },
    // 平台管理
    {
        path: '/platform',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: 'project', name: 'projectAdm', component: projectAdm, meta: { keepAlive: false, breadcrumbs: [{ label: '项目管理' }] } },
            { path: 'user', name: 'userAdm', component: userAdm, meta: { keepAlive: false, breadcrumbs: [{ label: '人员管理' }] } },
            { path: 'role', name: 'roleAdm', component: roleAdm, meta: { keepAlive: false, breadcrumbs: [{ label: '角色管理' }] } }
        ]
    },
    // 前期准备
    {
        path: '/ready',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: 'buildfloor', name: 'buildFloor', component: buildFloor, meta: { keepAlive: false, breadcrumbs: [{ label: '建筑楼层管理' }] } },
            // { path: 'buildfloor', name: 'buildFloor', component: Dasboard, meta: { keepAlive: false, breadcrumbs: [{ label: '建筑楼层管理' }] } },
            { path: 'collectsetting', name: 'collectsetting', component: collectsetting, meta: { keepAlive: false, breadcrumbs: [{ label: '需采集的信息点' }] } },
            { path: 'appuser', name: 'buildUser', component: buildUser, meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼App用户管理' }] } },
            { path: 'repetitionGraphy', name: 'repetitionGraphy', component: repetitionGraphy, meta: { keepAlive: false, breadcrumbs: [{ label: '建筑楼层管理', path: '/ready/buildfloor' }, { label: '平面图维护' }] } }
        ]
    },
    //模型管理
    {
        path: '/model',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'modelFile', component: modelFile },
            {
                path: 'file',
                name: 'modelFile',
                // component: Dasboard,
                component: modelFile,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '模型文件管理' }] }
            },
            {
                path: 'report',
                name: 'modelReport',
                component: modelReport,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '模型质量报告' }] }
            },
        ]
    },
    { path: '/model/report/deleted', name: 'deleted', component: deleted },
    { path: '/model/report/supplement', name: 'supplement', component: supplement },
    // 系统集成
    {
        path: '/point',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'pointConfig', component: pointConfig },
            {
                path: 'pointsetting',
                name: 'pointConfig',
                component: pointConfig,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '子系统点位接入' }] }
            },
            { path: 'editDataSouce', name: 'editDataSouce', component: editDataSouce },
            { path: 'pointSteps', name: 'pointSteps', component: pointSteps },
            {
                path: 'dynamicdata',
                name: 'dynamicdata',
                component: dynamicdata,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值' }] }
            },
            {
                path: 'equipRela',
                name: 'equipRela',
                component: equipRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'partsRela',
                name: 'partsRela',
                component: partsRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'systemRela',
                name: 'systemRela',
                component: systemRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'spaceRela',
                name: 'spaceRela',
                component: spaceRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'buildRela',
                name: 'buildRela',
                component: buildRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'floorRela',
                name: 'floorRela',
                component: floorRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'tenantRela',
                name: 'tenantRela',
                component: tenantRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'projectRela',
                name: 'projectRela',
                component: projectRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'objectdata',
                name: 'objectData',
                component: objectData,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从对象取值' }] }
            },
            {
                path: 'report',
                name: 'integrateReport',
                component: integrateReport,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '系统集成成果管理' }] }
            }
        ]
    },
    //扫楼数据管理
    {
        path: '/floor',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'buildTask', component: buildTask },
            {
                path: 'task',
                name: 'buildTask',
                component: buildTask,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场任务管理' }] }
            },
            {
                path: 'addDeviceTask',
                name: 'addDeviceTask',
                component: addDeviceTask,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场任务管理', path: '/floor/task' }, { label: '现场验证设备台账' }] }
            },
            {
                path: 'addAssetsTask',
                name: 'addAssetsTask',
                component: addAssetsTask,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场任务管理', path: '/floor/task' }, { label: '现场验证资产台账' }] }
            },
            {
                path: 'addModelTask',
                name: 'addModelTask',
                component: addModelTask,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场任务管理', path: '/floor/task' }, { label: '现场验证模型' }] }
            },
            {
                path: 'data',
                name: 'buildData',
                component: buildData,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场数据整理', path: '/floor/data' }, { label: '信息点整理' }] }
            },
            {
                path: 'plan',
                name: 'buildGraphy',
                component: buildGraphy,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场数据整理', path: '/floor/data' }, { label: '位置标签整理' }] }
            },
            {
                path: 'abnormalprop',
                name: 'buildAssets',
                component: buildAssets,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '扫楼报告' }] }
            },
            {
                path: 'log',
                name: 'buildLog',
                component: buildLog,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '扫楼日志查看' }] }
            },
            {
                path: 'updatePointZone',
                name: 'updatePointZone',
                component: updatePointZone,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场数据整理', path: '/floor/data' }, { label: '位置标签整理', path: '/floor/plan' }, { label: '维护业务空间信息' }] }
            },
            {
                path: 'createPointZone',
                name: 'createPointZone',
                component: createPointZone,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor' }, { label: '现场数据整理', path: '/floor/data' }, { label: '位置标签整理', path: '/floor/plan' }, { label: '创建业务空间' }] }
            }
        ]
    },
    //台账管理
    {
        path: '/ledger',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'facility',
                name: 'facilityLedger',
                component: facilityLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备台账' }] }
            },
            {
                path: 'parts',
                name: 'partsLedger',
                component: partsLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '包含的部件' }] }
            },
            {
                path: 'partsmanage',
                name: 'partsmanageLedger',
                component: partsmanageLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '管理部件' }] },
            },
            {
                path: 'partsadd',
                name: 'partsadd',
                component: partsadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备台账', path: '/ledger/facility' }, { label: '添加部件' }] },
            },
            {
                path: 'deviceadd',
                name: 'deviceadd',
                component: deviceadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备台账', path: '/ledger/facility' }, { label: '添加设备' }] }
            },
            {
                path: 'batchlinkAssets',
                name: 'batchlinkAssets',
                component: batchlinkAssets,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备台账', path: '/ledger/facility' }, { label: '批量关联资产' }] }
            },
            {
                path: 'property',
                name: 'propertyLedger',
                component: propertyLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '资产台账' }] }
            },
            {
                path: 'propertyadd',
                name: 'propertyadd',
                component: propertyadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '资产台账', path: '/ledger/property' }, { label: '添加资产' }] }
            },
            {
                path: 'addPropertys',
                name: 'addPropertys',
                component: addPropertys,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '资产台账', path: '/ledger/property' }, { label: '批量创建' }] }
            },
            {
                path: 'list',
                name: 'systemlist',
                component: systemLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '系统台账' }] }
            },
            {
                path: 'systemDetail',
                name: 'systemDetail',
                component: systemDetail,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '系统台账', path: '/ledger/facility' }, { label: '系统详情' }] }
            },
            {
                path: 'systemadd',
                name: 'systemadd',
                component: systemadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '系统台账', path: '/ledger/list' }, { label: '添加系统' }] }
            },
            {
                path: 'spacelist',
                name: 'spacelist',
                component: spacelist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '业务空间台账' }] }
            },
            {
                path: 'spaceDetail',
                name: 'spaceDetail',
                component: spaceDetail,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '业务空间台账', path: '/ledger/spacelist' }, { label: '业务空间详情' }] }
            },
            {
                path: 'cenotelist',
                name: 'cenotelist',
                component: cenotelist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井台账' }] }
            },
            {
                path: 'cenoteadd',
                name: 'cenoteadd',
                component: cenoteadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井台账', path: '/ledger/cenotelist' }, { label: '添加竖井' }] }
            },
            {
                path: 'cenoteDetail',
                name: 'cenoteDetail',
                component: cenoteDetail,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井台账', path: '/ledger/cenotelist' }, { label: '竖井关系详情' }] }
            }, {
                path: 'relatedSpace',
                name: 'relatedSpace',
                component: relatedSpace,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井台账', path: '/ledger/cenotelist' }, { label: '竖井关联的业务空间' }] }
            },
            {
                path: 'rentlist',
                name: 'rentlist',
                component: rentlist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '租户台账' }] }
            },
            {
                path: 'rentadd',
                name: 'rentadd',
                component: rentadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '租户台账', path: '/ledger/rentlist' }, { label: '添加租户' }] }
            },
            {
                path: 'manageTenantZone',
                name: 'manageTenantZone',
                component: manageTenantZone,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '租户台账', path: '/ledger/rentlist' }, { label: '管理租赁空间' }] }
            },
            {
                path: 'datareport',
                name: 'dataReport',
                component: dataReport,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '数据质量报告' }] }
            }
        ]
    },
    /******************** 关系维护并计算 ***************************/
    //关系维护
    {
        path: '/relation',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: 'maintain', name: 'maintain', component: maintain, meta: { keepAlive: false, breadcrumbs: [{ label: '关系维护' }] } },
            { path: 'overview', name: 'overView', component: overView, meta: { keepAlive: false, breadcrumbs: [{ label: '关系维护计算' },{ label: '全部关系总览' }] } },
            { path: 'relationShip', name: 'relationShip', component: relationShip, meta: { keepAlive: false, breadcrumbs: [{ label: '关系维护计算' },{ label: '全部关系总览' }] } },
            { path: 'relationDetail', name: 'relationDetail', component: relationDetail, meta: { keepAlive: false, breadcrumbs: [{ label: '关系维护计算' },{ label: '关系详情' }] } },
            { path: 'data', name: 'data', component: data, meta: { keepAlive: false, breadcrumbs: [{ label: '项目数据转换',path:'/relation/data' },{ label: '项目数据转换',path:'/relation/data' }] } },
            { path: 'datatable', name: 'datatable', component: datatable}
            ]
    },
    /******************** 通用字典 ***************************/
    //厂家库
    // {
    //     path: '/manufactor',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: 'supplier', name: 'supplier', component: supplier, meta: { keepAlive: false, breadcrumbs: [{ label: '厂家库' }] }}
    //     ]
    // },

    //业务空间管理
    // {
    //     path: '/business',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         {
    //             path: 'spacelist',
    //             name: 'spacelist',
    //             component: spacelist,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '业务空间管理', path: '/business/spacelist' }, { label: '业务空间清单' }] }
    //         }
    //     ]
    // },
    //租户管理
    // {
    //     path: '/rent',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         {
    //             path: 'rentlist',
    //             name: 'rentlist',
    //             component: rentlist,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '租户管理', path: '/rent/rentlist' }, { label: '租户清单' }] }
    //         },
    //         {
    //             path: 'rentadd',
    //             name: 'rentadd',
    //             component: rentadd,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '租户管理', path: '/rent/rentlist' }, { label: '租户清单', path: '/rent/rentlist' }, { label: '添加租户' }] }
    //         }
    //     ]
    // },
    //系统管理
    // {
    //     path: '/system',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [{
    //             path: 'list',
    //             name: 'systemlist',
    //             component: systemLedger,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '系统管理', path: '/system/list' }, { label: '系统清单' }] }
    //         },
    //         {
    //             path: 'systemadd',
    //             name: 'systemadd',
    //             component: systemadd,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '系统管理', path: '/system/list' }, { label: '系统清单', path: '/system/list' }, { label: '添加系统' }] }
    //         },
    //     ]
    // },
    //项目化配置
    // {
    //     path: '/proj',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         {
    //             path: 'custominfo',
    //             name: 'Dasboard',
    //             component: Dasboard,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '自定义信息点' }] }
    //         },
    //         {
    //             path: 'collectsetting',
    //             name: 'collectsetting',
    //             component: collectsetting,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '项目需采集的信息点' }] }
    //         },
    //         {
    //             path: 'floorinfo',
    //             name: 'Dasboard',
    //             component: Dasboard,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '楼层信息管理' }] }
    //         }
    //     ]
    // },
    //环境调节
    {
        path: '/environment',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'envlist', name: 'Dasboard', component: Dasboard }
        ]
    },
    //市场及商务
    {
        path: '/market',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'own', name: 'Dasboard', component: OwnerManage }
        ]
    }
]
